Forum: Wineskin Support Forum

Can i Download older Versions of Wineskin

I have been trying to get an older game to run for awhile now. i have seen where people got it to run using wine but they were running 1.2, i was wondering where i could find the older versions since the newest version(Wineskin Winery 2.4) won't run engines lower than WS5.
I am trying to run Railroad Tycoon 3 on an Intel macbook Pro running Snow Leopard.


Don't mixup Wine and Wineskin. If you need Wine 1.2, use the engine WS7Wine1.2.3 with a Wineskin 2.4 wrapper. I've run the demo for that game before, so I know it does work.

i just thought Wineskin was the new wine. thanks for the advice. i'll try it now.

and sorry if i sound stupid but i am new to the whole Wineskin stuff.


Wine usage on Mac OS X has always been compile it yourself and use it command line.

There are a few 3rd party apps like Wineskin that uses Wine to try and make Wine usage easier on OSX. Darwine was the first, and it died off... Mike Kronenberg tried to replace it with WineBottler, but development seems to have stopped a year ago, so I guess its dead too. Crossover is the most commonly known one. None that existed (or existed today) really met the specific needs of making a finished ported self contained app for me just how I wanted it, so thats really why I started Wineskin in the first place... a tool I could use to get done what I wanted. But I figured if I was making a tool, some other people might want to use it too.


IT didn't work, i am wondering if i am missing a plugin. i took a screenshot of what it is doing.

Wineskin has worked fairly well for me. i have gotten "sins of a Solar Empire" Running almost perfectly (just some misplaced text ingame) and Xwing Vs. Tie Fighter runs well. i tried Supreme Commander but when ever i clicked the wrapper it sat in the dock for a bit then just quit, and Blitzkrieg 2 keeps saying there was a problem with the internal libraries or something like that.


Its not always easy to get games working. Every game is different... RRT3 is very hard to get working fully.

Try this wrapper... should just have to install the game inside I think... :-)

http://www.mediafire.com/file/x9rx7fb0bivmq5f/Roller%20Coaster%20Tycoon%203.app.zip(external link)


Thank you. RRT3 really is hard to get to work, it never worked very reliably on the OS it was meant for to begin with. but i still loved the game.

i'll try this in the morning. internet has been spoty at best and it is very late. thanks for the help. :-)


nope. still doing the same thing. i may forget this one for now.

Odd, that wrapper runs it fine for me... may be something incompatible on your specific system.

i got it working. turns out i needed some different patches for it. runs fine now. although mouse tracking is a bit off, may try a different engine.
Thanks for the help.
one other thing. one of my games appears to have installed correctly but when i try and start it the wrapper just sits in the dock for a bit then just quits. any ideas?


YOu'd need to do a Test Run for log files to see what its complaining about.


The original document is available at http://wineskin.urgesoftware.com/tiki-view_forum_thread.php?comments_parentId=164&topics_offset=17&topics_sort_mode=type_asc&display=&fullscreen=&PHPSESSID=